## Function template char_decor

boost::log::expressions::char_decor

## Synopsis

    // In header: <boost/log/expressions/formatters/char_decorator.hpp>

    template<typename RangeT> unspecified char_decor(RangeT const & decorations);

## Description

The function returns a decorator generator object. The generator provides `operator[]` that can be used to construct the actual decorator.

Parameters:

`decorations` | A sequence of string pairs that will be used as decorations. Every `decorations[i].first` substring occurrence in the output will be replaced with `decorations[i].second`.